<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! class_exists( 'Pie_WCWL_Frontend_Shop' ) ) {
	/**
	 * Loads up the waitlist for shop page
	 *
	 * @package  WooCommerce Waitlist
	 * @since    1.8.0
	 */
	class Pie_WCWL_Frontend_Shop {
		/**
		 * Load up hooks if product is out of stock
		 *
		 * @since  1.8.0
		 */
		public function init() {
			add_action( 'woocommerce_after_shop_loop_item', array( $this, 'output_waitlist_elements' ), 15 );
		}
		/**
		 * Output the waitlist button HTML to text string
		 *
		 * @access public
		 * @since  1.9.0
		 */
		public function output_waitlist_elements() {
			global $post;
			$product = wc_get_product( $post );
			if ( ! $product || ! WooCommerce_Waitlist_Plugin::is_simple( $product ) || $product->is_in_stock() || ! wcwl_waitlist_is_enabled_for_product( $product->get_id() ) ) {
				return;
			}
			echo wcwl_get_waitlist_for_archive( $product->get_id() );
		}
	}
}