<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
if ( ! class_exists( 'Pie_WCWL_Frontend_Simple' ) ) {
	/**
	 * Loads up the waitlist for simple products
	 *
	 * @package  WooCommerce Waitlist
	 */
	class Pie_WCWL_Frontend_Simple {
		/**
		 * Current product ID
		 *
		 * @var int
		 */
		public $product_id;
		/**
		 * Load up hooks if product is out of stock
		 *
		 * @param WC_Product $product
		 */
		public function init( WC_Product $product ) {
			$this->product_id = $product->get_id();
			if ( wcwl_waitlist_is_enabled_for_product( $this->product_id ) ) {
				add_action( 'woocommerce_single_product_summary', array( $this, 'output_waitlist_elements' ), 35 );
			}
		}
		/**
		 * Output waitlist elements via waitlist-single template
		 */
		public function output_waitlist_elements() {
			echo wcwl_get_waitlist_fields( $this->product_id );
		}
	}
}